<template>
  <div id="app">

    <router-view></router-view>
  </div>
  
</template>
<script>
export default {
  mounted() {
    if (this._isMobile()) {
      this.$router.replace('/mobileIndex');
    } else {
      this.$router.replace('/pcIndex');
    }
  },
  methods: {
    _isMobile() {
      let flag = navigator.userAgent.match(/(phone|pad|pod|iPhone|iPod|ios|iPad|Android|Mobile|BlackBerry|IEMobile|MQQBrowser|JUC|Fennec|wOSBrowser|BrowserNG|WebOS|Symbian|Windows Phone)/i)
      return flag;
    }
  },
}
</script>
<style lang="scss">
</style>
